io.vertx.rxjava.servicediscovery.spi

## Class ServiceImporter

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServiceImporter

-     public class ServiceImporter
      extends Object

  The service importer allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a and maps to a publication in this other technology. The importer is one side of a service discovery bridge.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ServiceImporter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceImporter(Object delegate)`
    `ServiceImporter(ServiceImporter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Handler<Void> closeHandler)` Closes the importer
    `boolean` | `equals(Object o)`
    `ServiceImporter` | `getDelegate()`
    `int` | `hashCode()`
    `static ServiceImporter` | `newInstance(ServiceImporter arg)`
    `void` | `start(Vertx vertx, ServicePublisher publisher, JsonObject configuration, Promise<Void> future)` Starts the importer.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServiceImporter> __TYPE_ARG

  - ### Constructor Detail

    - #### ServiceImporter

          public ServiceImporter(ServiceImporter delegate)

    - #### ServiceImporter

          public ServiceImporter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServiceImporter getDelegate()

    - #### start

          public void start(Vertx vertx,
                            ServicePublisher publisher,
                            JsonObject configuration,
                            Promise<Void> future)

      Starts the importer.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service publisher instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### close

          public void close(Handler<Void> closeHandler)

      Closes the importer
      Parameters:
        `closeHandler` - the handle to be notified when importer is closed, may be `null`

    - #### newInstance

          public static ServiceImporter newInstance(ServiceImporter arg)

Copyright © 2021 Eclipse. All rights reserved.